Subject: [netatalk-admins] Compiling 1.4b2 with gcc 2.8.1 under Solaris 7

From: "J. A. Landamore" <[email-masked]>
Date: Thu, 12 Aug 1999 13:42:34 +0100 (BST)

I am trying to build the beta2 code and I'm having problems with the compile.  
There are several extern definitions that clash with system defines, these I 
solve by removing the relevant lines from the code.  It also warns about type 
conflicts in memcpy/memcmp/memset.  However I am now stumped (not being a C 
coder) by the following error:

building profiled atplib
building normal atplib
cd nbp; make  CC="gcc" DEFS="-D__svr4__ -DSOLARIS" \
    OPTOPTS="-O"
gcc -p -D__svr4__ -DSOLARIS -O -I../../include -c nbp_util.c
nbp_util.c: In function `nbp_parse':
nbp_util.c:62: structure has no member named `S_un'
*** Error code 1
make: Fatal error: Command failed for target `nbp_util.o'
Current working directory /tmp/netatalk-1.4b2/libatalk/nbp
*** Error code 1
make: Fatal error: Command failed for target `nbp'
Current working directory /tmp/netatalk-1.4b2/libatalk
*** Error code 1
make: Fatal error: Command failed for target `../../libatalk'
Current working directory /tmp/netatalk-1.4b2/sys/solaris
*** Error code 1
make: Fatal error: Command failed for target `all'

I am using gcc 2.8.1 on Sparc Solaris 7.

TIA for any help & advice.

John Landamore			| Please re-install Universe |
Sys. Admin.			| and reboot                 |
				|                            |
e-mail:	[email-masked]	|     Hogfather              |
				|   Terry Pratchett          |

Phone: 	+44 (0)116 2523410
Fax: 	+44 (0)116 2523604